<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <!-- font awesome -->
    <!-- <script
      data-search-pseudo-elements
      src="https://kit.fontawesome.com/f737751420.js"
      crossorigin="anonymous"
    ></script> -->
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.1/css/all.min.css"
    />

    <title>homework5_twitter</title>
    <style>
      * {
        margin: 0;
        padding: 0;
        box-sizing: border-box;
      }

      .wrapper {
        font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
        font-size: 12px;
      }

      .loader {
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        background: rgb(231, 255, 185);
        /* display: flex; */
        justify-content: center;
        align-items: center;
        font-size: 100px;
        color: rgb(68, 116, 116);
        z-index: 10;
        display: none;
      }

      .loader.show {
        display: flex;
      }

      .fa-loader {
        animation: loader linear 3s infinite;
      }

      @keyframes loader {
        0% {
          transform: rotatez(0deg);
        }
        100% {
          transform: rotatez(360deg);
        }
      }

      .content {
        border: 1px solid rgb(187, 218, 174);
        background: rgb(235, 255, 223);
        display: flex;
        flex-direction: column;
        width: 70%;
        margin: 0 auto;
        padding: 20px 20px;
        list-style: none;
      }

      .content__post {
        border: 1px solid rgb(102, 193, 251);
        background: rgb(179, 244, 255);
        position: relative;
        margin-bottom: 10px;
      }

      .post__user {
        margin: 5px;
      }

      .post__delete {
        width: 20px;
        height: 19px;
        line-height: 19px;
        border-radius: 0;
        border: 1px solid rgb(96, 158, 196);
        background: rgb(158, 224, 235);
        position: absolute;
        right: 3px;
        top: 3px;
        cursor: pointer;
      }

      .post__delete:hover {
        background: rgb(248, 159, 159);
      }

      .user__name {
        font-weight: bold;
        margin-right: 10px;
      }

      .post__title {
        margin: 5px;
        text-transform: uppercase;
      }
      .post__description {
        margin: 5px;
      }

      .add__card {
        margin: 0 auto;
        text-align: center;
        padding: 20px;
      }

      .add__card-btn {
        padding: 5px 10px;
        background: rgb(158, 224, 235);
        border: 1px solid rgb(96, 158, 196);
        text-transform: uppercase;
        cursor: pointer;
        font-size: 12px;
      }

      .add__card-btn:hover {
        background: rgb(248, 159, 159);
      }
    </style>
  </head>
  <body>
    <div class="wrapper">
      <div class="loader show">
        <i class="fa fa-spinner fa-spin fa-loader"></i>
      </div>

      <div class="add__card">
        <button class="add__card-btn">Добавить публикацию</button>
      </div>
      <ul class="content"></ul>
    </div>
    <script src="script.js"></script>
  </body>
</html>
